<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Conditions</title>
</head>
<body>
    <p>Conditions in PHP use Comparative and Logical operators to determine if a defined condition is true and then executes a block of code associated with that condition.</p>
    <p>The terms <b>if, else, and elseif</b> guide the script down the list of defined conditions to check if the condition is true.</p>
    <p><b>If and elseif</b> provide conditions to check, and <b>else</b>indicates to execute a block of code if all previous conditions were false.</p>
    <p><b>Switch/Case</b> statements accomplish the same goal of an elseif statement using tighter syntax and so is preferred over long elseif statements.</p>
    <?php
    //define variables for the examples
    $sale = 1;
    $quantity = 6;
    $price = 12.99;
    //if...else example - display sale status message based on sale status value
    if ($sale == 1) {
        echo "<p>This item is on sale!</p>";
    } 
    else {
        echo "<p>This item is not on sale.</p>";
    }
    // if..elseif example - display stock status message based on current quantity
    if ($quantity > 10) {
        echo "<p>This item is in stock.</p>";
    }
    elseif ($quantity < 10 && $quantity > 0) {
        echo "<p>This item is low on stock.</p>";
    }
    else {
        echo "<p>This item is out of stock.</p>";
    }
    // switch case example - display adverstiment messaged based on price
    switch ($price) {
        case ($price < 10):
            echo "<p>Get this item for less than $10!</p>";
            break;
        case ($price < 20):
            echo "<p>Get this item for less than $20!</p>";
            break;   
        case ($price < 30):
            echo "<p>Get this item for less than $30!</p>";
            break;  
        case ($price < 40):
            echo "<p>Get this item for less than $40!</p>";
            break;  
        case ($price < 50):
            echo "<p>Get this item for less than $50!</p>";
            break;
        default:
            echo "<p>Check out this item!</p>";     
    }
    ?>
</body>
</html>