<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Escape Slashes</title>
</head>
<body>
    <p>Escape slashes in PHP help to interepret variables and special characters in single or double quotations.</p>
    <p>Double quotations will evaulate included variables, while single quotations will interpret the whole string literally.</p>
    <p>Below, the examples show a message where the <b>$date</b> variable is included at the end of the string.</p>
    <p>The first uses double quotations, and <b>$date</b> is interpreted to be the value "December 31st, 1969."</p>
    <p>The second uses single quotations, and <b>$date</b> is printed as <b>$date</b>.</p>
    <p>The third example shows adding the escape slash <b>(\)</b> in the double quotations causes the <b>$</b> to be interpreted literally, causing the page to display <b>$date</b>.</p>
    <p>The fourth example shows that doing the same causes the added slash to be printed, as the single quotations still interprets it literally.</p>
    <p>**NOTE** The escape slash is needed for the apostraphe in <b>Today's</b> when using single quotations so the script doesn't terminate the string prematurely.</p>
    <br>
    <?php
    //set example variable
    $date = "December 31st, 1969";
    //print message using both single and double quotes
    //add escape slashes to demonstrate to variable to demonstrate its effect
    //escape needed in single quotes for the apostraphe in to Today's
    echo "<p>(Double Quotations) Today's date is $date</p>";
    echo '<p>(Single Quotations) Today\'s date is $date</p>';
    echo "<p>(Double Quotations, escaped dollar sign) Today's date is \$date</p>";
    echo '<p>(Single Quotations) Today\'s date is \$date</p>';
    ?>
</body>
</html>